# eric3.Wizards.PyRegExpWizard.PyRegExpWizard

Module implementing the Python re wizard.

### Classes

PyRegExpWizard | Class implementing the Python re wizard.

### Functions

None

## PyRegExpWizard

Class implementing the Python re wizard.

### Derived from

WizardIFace

### Methods

PyRegExpWizard | Constructor
callForm | Private method to display a dialog and get the code.
getAction | Public method to get the action associated with this class wizard.
handle | Worker method associated with the wizard action
initAction | Public method to create the action associated with this class wizard.

### PyRegExpWizard (Constructor)

PyRegExpWizard(parent = None)

Constructor

parent
  parent widget (QWidget)

### PyRegExpWizard.callForm

callForm(editor)

Private method to display a dialog and get the code.

editor
  reference to the current editor

Returns:
  the generated code (string)

### PyRegExpWizard.getAction

getAction()

Public method to get the action associated with this class wizard.

Returns:
  the associated action

### PyRegExpWizard.handle

handle()

Worker method associated with the wizard action

### PyRegExpWizard.initAction

initAction()

Public method to create the action associated with this class wizard.

Returns:
  the associated action

Up